Name:           perl-Nagios-Plugin
Version:        0.33
Release:        2%{?dist}
Summary:        Family of perl modules to streamline writing Nagios plugins
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Nagios-Plugin/
Source0:        http://www.cpan.org/modules/by-module/Nagios/Nagios-Plugin-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::Accessor)
Requires:       perl(Class::Accessor::Fast)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Math::Calc::Units)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(Test::More) >= 0.62
Requires:       perl(Class::Accessor)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Config::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Nagios::Plugin and its associated Nagios::Plugin::* modules are a family of
perl modules to streamline writing Nagios plugins. The main end user
modules are Nagios::Plugin, providing an object-oriented interface to the
entire Nagios::Plugin::* collection, and Nagios::Plugin::Functions,
providing a simpler functional interface to a useful subset of the
available functionality.

%prep
%setup -q -n Nagios-Plugin-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Aug 27 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.33-2
- Review fixes (#517497)

* Thu Aug 13 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.33-1
- Initial import

